<!DOCTYPE html>
<html lang="en" class="js csstransforms3d">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="generator" content="Hugo 0.44" />
    <meta name="description" content="Documentation for Hugo Learn Theme">
<meta name="author" content="Mathieu Cornic">

    <link rel="shortcut icon" href="/images/favicon.png" type="image/x-icon" />
<link rel="icon" href="/images/favicon.png" type="image/x-icon" />
    <title>Markdown syntax :: Documentation for Hugo Learn Theme</title>

    
    <link href="/css/nucleus.css?1545065465" rel="stylesheet">
    <link href="/css/fontawesome-all.min.css?1545065465" rel="stylesheet">
    <link href="/css/hybrid.css?1545065465" rel="stylesheet">
    <link href="/css/featherlight.min.css?1545065465" rel="stylesheet">
    <link href="/css/perfect-scrollbar.min.css?1545065465" rel="stylesheet">
    <link href="/css/auto-complete.css?1545065465" rel="stylesheet">
    <link href="/css/theme.css?1545065465" rel="stylesheet">
    <link href="/css/hugo-theme.css?1545065465" rel="stylesheet">
    

    <script src="/js/jquery-2.x.min.js?1545065465"></script>

    <style type="text/css">
      :root #header + #content > #left > #rlblock_left{
          display:none !important;
      }
      
    </style>
    
  </head>
  <body class="" data-url="/en/cont/markdown/">
    <nav id="sidebar" class="showVisitedLinks">



  <div id="header-wrapper">
    <div id="header">
      <a id="logo" href="/">

<svg id="grav-logo" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
	width="100%" height="100%"  viewBox="0 0 285.1 69.9" xml:space="preserve">
<g>
	<path d="M35,0c9.6,0,17.9,3.4,24.7,10.3c6.8,6.8,10.3,15,10.3,24.7c0,9.7-3.4,17.9-10.3,24.7c-6.8,6.8-15,10.3-24.7,10.3
		c-9.7,0-17.9-3.4-24.7-10.3C3.4,52.8,0,44.6,0,34.9c0-9.6,3.4-17.9,10.3-24.7C17.1,3.4,25.3,0,35,0z M22.3,63.7
		c0.3-7.4,0.3-14.7,0-22.1c-2.1-0.4-4-0.4-5.9,0c-0.2,0.8-0.2,2.5-0.1,4.9c0.1,2.3,0,3.9-0.3,4.8c-1.7-0.6-2.7-2.1-3.1-4.6
		c-0.1-0.7-0.1-3.3-0.1-8c0-14.5-0.1-23-0.3-25.6c-3.6,4.1-5.6,7-5.9,8.5v10.9c0,4.5,0.1,8.1,0.2,10.9c0,0.4,0,1.3-0.1,2.8
		c-0.1,1.2,0,2.1,0.1,2.6c0.1,0.6,1.1,2.1,2.8,4.7C13.2,58.7,17.5,62.2,22.3,63.7z M44.6,65.4c0.3-5,0.2-12.9-0.1-23.6
		c-2.1-0.3-4.1-0.3-5.9,0c-0.2,2-0.2,5.1-0.1,9.5c0.1,4.3,0,7.5-0.1,9.5c-2.9,0.4-5,0.3-6.2-0.1c-0.2-5.6-0.2-15.2-0.1-28.7
		c0.1-12.4,0-21.8-0.3-28.3c-2.4,0.1-4.3,0.6-5.7,1.3c-0.1,7.7-0.2,17.7-0.1,30.1c0,16.5,0,26.6,0,30.3c2.3,1.1,5.4,1.7,9.4,1.7
		C38.9,66.9,42.1,66.4,44.6,65.4z M48.1,64.1c9.7-4.6,15.7-12,18-22.2c-1.8-0.2-3.8-0.3-6.1-0.3c-1.6,3.9-2.6,6.3-3.2,7.2
		c-1.1,1.7-2,2.5-2.7,2.5C54,46,54,39.1,54,30.5c0-11.5,0-18.4,0-20.9c-1.4-1.4-3.3-2.5-5.7-3.4C48.1,6.3,48,6.4,48,6.7
		c0,3.5,0,13.1,0,28.8C47.9,47.2,48,56.8,48.1,64.1z"/>
</g>
<g>
	<path d="M116.6,51.3h-29c-0.5,0-0.9-0.1-1.3-0.2c-0.4-0.2-0.7-0.4-1-0.7c-0.3-0.3-0.5-0.6-0.7-1c-0.2-0.4-0.2-0.8-0.2-1.3V16.3h6.3
		V45h25.8V51.3z"/>
	<path d="M154.8,51.3h-22.9c-0.9,0-1.8-0.2-2.9-0.5c-1-0.3-2-0.8-2.9-1.5c-0.9-0.7-1.6-1.6-2.2-2.8c-0.6-1.1-0.9-2.5-0.9-4.2V19.5
		c0-0.4,0.1-0.9,0.2-1.2c0.2-0.4,0.4-0.7,0.7-1c0.3-0.3,0.6-0.5,1-0.7c0.4-0.2,0.8-0.2,1.3-0.2h28.6v6.3h-25.4v19.8
		c0,0.8,0.2,1.5,0.7,1.9s1.1,0.7,1.9,0.7h22.9V51.3z M151.9,37h-20v-6.4h20V37z"/>
	<path d="M197.3,51.3H191v-8.6h-22.3v8.6h-6.3V33.8c0-2.6,0.4-4.9,1.3-7.1s2.1-4,3.7-5.5c1.6-1.5,3.4-2.8,5.5-3.6
		c2.1-0.9,4.5-1.3,7-1.3h14.3c0.4,0,0.9,0.1,1.2,0.2c0.4,0.2,0.7,0.4,1,0.7s0.5,0.6,0.7,1c0.2,0.4,0.2,0.8,0.2,1.2V51.3z
		 M168.7,36.4H191V22.6h-11.2c-0.2,0-0.6,0-1.2,0.1c-0.6,0.1-1.4,0.2-2.2,0.4c-0.8,0.2-1.7,0.6-2.6,1c-0.9,0.5-1.8,1.1-2.5,2
		c-0.8,0.8-1.4,1.9-1.9,3.1c-0.5,1.2-0.7,2.8-0.7,4.5V36.4z"/>
	<path d="M241.7,28.1c0,1.4-0.2,2.7-0.5,3.9c-0.4,1.1-0.8,2.1-1.5,3c-0.6,0.9-1.3,1.6-2.1,2.2c-0.8,0.6-1.6,1.1-2.5,1.5
		c-0.9,0.4-1.8,0.7-2.6,0.9c-0.9,0.2-1.7,0.3-2.5,0.3l13.3,11.5h-9.8l-13.2-11.5h-4.6v-6.3H230c0.8-0.1,1.5-0.2,2.2-0.5
		c0.7-0.3,1.2-0.6,1.7-1.1c0.5-0.5,0.9-1,1.1-1.6c0.3-0.6,0.4-1.4,0.4-2.2v-4c0-0.4,0-0.6-0.1-0.8c-0.1-0.2-0.2-0.3-0.3-0.4
		c-0.1-0.1-0.3-0.1-0.4-0.2c-0.2,0-0.3,0-0.4,0h-20.9v28.7h-6.3V19.5c0-0.4,0.1-0.9,0.2-1.2c0.2-0.4,0.4-0.7,0.7-1
		c0.3-0.3,0.6-0.5,1-0.7c0.4-0.2,0.8-0.2,1.3-0.2H234c1.4,0,2.6,0.3,3.6,0.8s1.8,1.2,2.4,1.9c0.6,0.8,1,1.6,1.3,2.5
		c0.3,0.9,0.4,1.7,0.4,2.5V28.1z"/>
	<path d="M285.1,48.6c0,0.5-0.1,0.9-0.3,1.3c-0.2,0.4-0.4,0.7-0.7,1c-0.3,0.3-0.6,0.5-1,0.7c-0.4,0.2-0.8,0.2-1.2,0.2
		c-0.4,0-0.8-0.1-1.2-0.2c-0.4-0.1-0.8-0.4-1.1-0.7l-23.2-24.2v24.7h-6.3V19c0-0.7,0.2-1.2,0.5-1.8c0.4-0.5,0.8-0.9,1.4-1.2
		c0.6-0.2,1.2-0.3,1.9-0.2s1.2,0.4,1.6,0.9l23.2,24.2V16.3h6.3V48.6z"/>
</g>
</svg>

</a>

    </div>
    
        <div class="searchbox">
    <label for="search-by"><i class="fas fa-search"></i></label>
    <input data-search-input id="search-by" type="text" placeholder="Search...">
    <span data-search-clear=""><i class="fas fa-close"></i></span>
</div>

<script type="text/javascript" src="/js/lunr.min.js?1545065465"></script>
<script type="text/javascript" src="/js/auto-complete.js?1545065465"></script>
<script type="text/javascript">
    
        var baseurl = "\/\/en";
    
</script>
<script type="text/javascript" src="/js/search.js?1545065465"></script>

    
  </div>

    <div class="highlightable">
    <ul class="topics">

        
          
          


 
  
    
    <li data-nav-id="/en/basics/" title="Basics" class="dd-item 
        
        
        
        ">
      <a href="/en/basics/">
          <b>1. </b>Basics
          
            <i class="fas read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          
          
        
          
            
            


 
  
    
    <li data-nav-id="/en/basics/requirements/" title="Requirements" class="dd-item 
        
        
        
        ">
      <a href="/en/basics/requirements/">
          Requirements
          
            <i class="fas read-icon"></i>
          
      </a>
      
              
    </li>
  
 

            
          
            
            


 
  
    
    <li data-nav-id="/en/basics/installation/" title="Installation" class="dd-item 
        
        
        
        ">
      <a href="/en/basics/installation/">
          Installation
          
            <i class="fas read-icon"></i>
          
      </a>
      
              
    </li>
  
 

            
          
            
            


 
  
    
    <li data-nav-id="/en/basics/configuration/" title="Configuration" class="dd-item 
        
        
        
        ">
      <a href="/en/basics/configuration/">
          Configuration
          
            <i class="fas read-icon"></i>
          
      </a>
      
              
    </li>
  
 

            
          
            
            


 
  
    
    <li data-nav-id="/en/basics/style-customization/" title="Style customization" class="dd-item 
        
        
        
        ">
      <a href="/en/basics/style-customization/">
          Style customization
          
            <i class="fas read-icon"></i>
          
      </a>
      
              
    </li>
  
 

            
          
        
        </ul>
              
    </li>
  
 

          
          


 
  
    
    <li data-nav-id="/en/cont/" title="Content" class="dd-item 
        parent
        
        
        ">
      <a href="/en/cont/">
          <b>2. </b>Content
          
            <i class="fas read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          
          
        
          
            
            


 
  
    
    <li data-nav-id="/en/cont/pages/" title="Pages organization" class="dd-item 
        
        
        
        ">
      <a href="/en/cont/pages/">
          Pages organization
          
            <i class="fas read-icon"></i>
          
      </a>
      
              
    </li>
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/en/cont/archetypes/" title="Archetypes" class="dd-item ">
        <a href="/en/cont/archetypes/">
        Archetypes
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/en/cont/markdown/" title="Markdown syntax" class="dd-item active">
        <a href="/en/cont/markdown/">
        Markdown syntax
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/en/cont/menushortcuts/" title="Menu extra shortcuts" class="dd-item ">
        <a href="/en/cont/menushortcuts/">
        Menu extra shortcuts
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/en/cont/icons/" title="Icons and logos" class="dd-item ">
        <a href="/en/cont/icons/">
        Icons and logos
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
    <li data-nav-id="/en/cont/i18n/" title="Multilingual and i18n" class="dd-item 
        
        
        
        ">
      <a href="/en/cont/i18n/">
          Multilingual and i18n
          
            <i class="fas read-icon"></i>
          
      </a>
      
              
    </li>
  
 

            
          
        
        </ul>
              
    </li>
  
 

          
          


 
  
    
    <li data-nav-id="/en/shortcodes/" title="Shortcodes" class="dd-item 
        
        
        
        ">
      <a href="/en/shortcodes/">
          <b>3. </b>Shortcodes
          
            <i class="fas read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          
          
        
          
            
            


 
  
    
      <li data-nav-id="/en/shortcodes/attachments/" title="Attachments" class="dd-item ">
        <a href="/en/shortcodes/attachments/">
        Attachments
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/en/shortcodes/button/" title="Button" class="dd-item ">
        <a href="/en/shortcodes/button/">
        Button
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
    <li data-nav-id="/en/shortcodes/children/" title="Children" class="dd-item 
        
        
        
        ">
      <a href="/en/shortcodes/children/">
          Children
          
            <i class="fas read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          
          
        
          
            
            


 
  
    
    <li data-nav-id="/en/shortcodes/children/children-1/" title="page 1" class="dd-item 
        
        
        
        ">
      <a href="/en/shortcodes/children/children-1/">
          page 1
          
            <i class="fas read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          
          
        
          
            
            


 
  
    
    <li data-nav-id="/en/shortcodes/children/children-1/children-1-1/" title="page 1-1" class="dd-item 
        
        
        
        ">
      <a href="/en/shortcodes/children/children-1/children-1-1/">
          page 1-1
          
            <i class="fas read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          
          
        
          
            
            


 
  
    
    <li data-nav-id="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/" title="page 1-1-1" class="dd-item 
        
        
        
        ">
      <a href="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/">
          page 1-1-1
          
            <i class="fas read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          
          
        
          
            
            


 
  
    
    <li data-nav-id="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/" title="page 1-1-1-1" class="dd-item 
        
        
        
        ">
      <a href="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/">
          page 1-1-1-1
          
            <i class="fas read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          
          
        
          
            
            


 
  
    
    <li data-nav-id="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/children-1-1-1-1-1/" title="page 1-1-1-1-1" class="dd-item 
        
        
        
        ">
      <a href="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/children-1-1-1-1-1/">
          page 1-1-1-1-1
          
            <i class="fas read-icon"></i>
          
      </a>
      
              
    </li>
  
 

            
          
        
        </ul>
              
    </li>
  
 

            
          
        
        </ul>
              
    </li>
  
 

            
          
        
        </ul>
              
    </li>
  
 

            
          
        
        </ul>
              
    </li>
  
 

            
          
            
            


 
  
    
    <li data-nav-id="/en/shortcodes/children/children-2/" title="page 2" class="dd-item 
        
        
        
        ">
      <a href="/en/shortcodes/children/children-2/">
          page 2
          
            <i class="fas read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
          
          
        
          
            
            


 
  
    
      <li data-nav-id="/en/shortcodes/children/children-2/test3/" title="page test 3" class="dd-item ">
        <a href="/en/shortcodes/children/children-2/test3/">
        page test 3
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
              
    </li>
  
 

            
          
            
            


 
  
    
    <li data-nav-id="/en/shortcodes/children/children-3/" title="page 3" class="dd-item 
        
        
        
        ">
      <a href="/en/shortcodes/children/children-3/">
          page 3
          
            <i class="fas read-icon"></i>
          
      </a>
      
              
    </li>
  
 

            
          
             
            
          
            
            


 
  
    
      <li data-nav-id="/en/shortcodes/children/test/" title="page test" class="dd-item ">
        <a href="/en/shortcodes/children/test/">
        page test
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
              
    </li>
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/en/shortcodes/expand/" title="Expand" class="dd-item ">
        <a href="/en/shortcodes/expand/">
        Expand
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/en/shortcodes/mermaid/" title="Mermaid" class="dd-item ">
        <a href="/en/shortcodes/mermaid/">
        Mermaid
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/en/shortcodes/notice/" title="Notice" class="dd-item ">
        <a href="/en/shortcodes/notice/">
        Notice
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/en/shortcodes/siteparam/" title="Site param" class="dd-item ">
        <a href="/en/shortcodes/siteparam/">
        Site param
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
              
    </li>
  
 

          
         
    </ul>

    
    
      <section id="shortcuts">
        <h3>More</h3>
        <ul>
          
              <li> 
                  <a class="padding" href="https://github.com/matcornic/hugo-theme-learn"><i class='fab fa-fw fa-github'></i> Github repo</a>
              </li>
          
              <li> 
                  <a class="padding" href="/en/showcase"><i class='fas fa-fw fa-camera'></i> Showcases</a>
              </li>
          
              <li> 
                  <a class="padding" href="https://gohugo.io/"><i class='fas fa-fw fa-bookmark'></i> Hugo Documentation</a>
              </li>
          
              <li> 
                  <a class="padding" href="en/credits"><i class='fas fa-fw fa-bullhorn'></i> Credits</a>
              </li>
          
        </ul>
      </section>
    

    
    <section id="prefooter">
      <hr/>
      <ul>
      
        <li>
          <a class="padding">
            <i class="fas fa-language fa-fw"></i>
          <div class="select-style">
            <select id="select-language" onchange="location = this.value;">
          
          
          
              
              
                  
                    
                    
                      <option id="en" value="/en/cont/markdown/" selected>English</option>
                    
                  
              
                  
              
          
              
              
                  
              
                  
                    
                    
                      <option id="fr" value="/fr/cont/markdown/">Français</option>
                    
                  
              
          
        </select>
        <svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
          width="255px" height="255px" viewBox="0 0 255 255" style="enable-background:new 0 0 255 255;" xml:space="preserve">
          <g>
            <g id="arrow-drop-down">
              <polygon points="0,63.75 127.5,191.25 255,63.75 		" />
            </g>
          </g>
        </svg>
        </div>
        </a>
        </li>
      
      
      
        <li><a class="padding" href="#" data-clear-history-toggle=""><i class="fas fa-history fa-fw"></i> Clear History</a></li>
      
      </ul>
    </section>
    
    <section id="footer">
      <center>
    
    <a class="github-button" href="https://github.com/matcornic/hugo-theme-learn/archive/master.zip" data-icon="octicon-cloud-download" aria-label="Download matcornic/hugo-theme-learn on GitHub">Download</a>

    
    <a class="github-button" href="https://github.com/matcornic/hugo-theme-learn" data-icon="octicon-star" data-show-count="true" aria-label="Star matcornic/hugo-theme-learn on GitHub">Star</a>

    
    <a class="github-button" href="https://github.com/matcornic/hugo-theme-learn/fork" data-icon="octicon-repo-forked" data-show-count="true" aria-label="Fork matcornic/hugo-theme-learn on GitHub">Fork</a>

    <p>Built with <a href="https://github.com/matcornic/hugo-theme-learn"><i class="fas fa-heart"></i></a> from <a href="http://getgrav.org">Grav</a> and <a href="http://gohugo.io/">Hugo</a></p>
</center>

<script async defer src="https://buttons.github.io/buttons.js"></script>

    </section>
  </div>
</nav>





        <section id="body">
        <div id="overlay"></div>
        <div class="padding highlightable">
              
              <div>
                <div id="top-bar">
                
                  
                  
                  
                  <div id="top-github-link">
                    <a class="github-link" title='Edit this page' href="https://github.com/matcornic/hugo-theme-learn/edit/master/exampleSite/content/cont/markdown.en.md" target="blank">
                      <i class="fas fa-code-branch"></i>
                      <span id="top-github-link-text">Edit this page</span>
                    </a>
                  </div>
                  
                
                
                <div id="breadcrumbs" itemscope="" itemtype="http://data-vocabulary.org/Breadcrumb">
                    <span id="sidebar-toggle-span">
                        <a href="#" id="sidebar-toggle" data-sidebar-toggle="">
                          <i class="fas fa-bars"></i>
                        </a>
                    </span>
                  
                  <span id="toc-menu"><i class="fas fa-list-alt"></i></span>
                  
                  <span class="links">
                 
                 
                    
          
          
            
            
          
          
            
            
          
          
            <a href='/en/'>Learn Theme for Hugo</a> > <a href='/en/cont/'>Content</a> > Markdown syntax
          
         
          
         
          
        
                 
                  </span>
                </div>
                
                    <div class="progress">
    <div class="wrapper">
<nav id="TableOfContents">
<ul>
<li>
<ul>
<li><a href="#headings">Headings</a></li>
</ul></li>
<li><a href="#h1-heading">h1 Heading</a>
<ul>
<li><a href="#h2-heading">h2 Heading</a>
<ul>
<li><a href="#h3-heading">h3 Heading</a>
<ul>
<li><a href="#h4-heading">h4 Heading</a>
<ul>
<li><a href="#h5-heading">h5 Heading</a>
<ul>
<li><a href="#h6-heading">h6 Heading</a></li>
</ul></li>
</ul></li>
</ul></li>
</ul></li>
<li><a href="#comments">Comments</a></li>
<li><a href="#horizontal-rules">Horizontal Rules</a></li>
<li><a href="#body-copy">Body Copy</a></li>
<li><a href="#emphasis">Emphasis</a>
<ul>
<li><a href="#bold">Bold</a></li>
<li><a href="#italics">Italics</a></li>
<li><a href="#strikethrough">strikethrough</a></li>
</ul></li>
<li><a href="#blockquotes">Blockquotes</a></li>
<li><a href="#notices">Notices</a></li>
<li><a href="#lists">Lists</a>
<ul>
<li><a href="#unordered">Unordered</a></li>
<li><a href="#ordered">Ordered</a></li>
</ul></li>
<li><a href="#code">Code</a>
<ul>
<li><a href="#inline-code">Inline code</a></li>
<li><a href="#indented-code">Indented code</a></li>
<li><a href="#block-code-fences">Block code &ldquo;fences&rdquo;</a></li>
<li><a href="#syntax-highlighting">Syntax highlighting</a></li>
</ul></li>
<li><a href="#tables">Tables</a>
<ul>
<li><a href="#right-aligned-text">Right aligned text</a></li>
</ul></li>
<li><a href="#links">Links</a>
<ul>
<li><a href="#basic-link">Basic link</a></li>
<li><a href="#add-a-title">Add a title</a></li>
<li><a href="#named-anchors">Named Anchors</a></li>
</ul></li>
<li><a href="#images">Images</a>
<ul>
<li><a href="#alternative-usage-note-images">Alternative usage : note images</a></li>
<li><a href="#resizing-image">Resizing image</a></li>
<li><a href="#add-css-classes">Add CSS classes</a></li>
</ul></li>
</ul></li>
</ul>
</nav>
    </div>
</div>

                
              </div>
            </div>
            

        
        <div id="body-inner">
          
            <h1>Markdown syntax</h1>
          

        




<div class="notices note" ><p>This page is a shameful copy of the great <a href="http://learn.getgrav.org/content/markdown">Grav original page</a>.
Only difference is information about image customization (<a href="#resizing-image">resizing</a>, <a href="#add-css-classes">add CSS classes</a>&hellip;)</p>
</div>


<p>Let&rsquo;s face it: Writing content for the Web is tiresome. WYSIWYG editors help alleviate this task, but they generally result in horrible code, or worse yet, ugly web pages.</p>

<p><strong>Markdown</strong> is a better way to write <strong>HTML</strong>, without all the complexities and ugliness that usually accompanies it.</p>

<p>Some of the key benefits are:</p>

<ol>
<li>Markdown is simple to learn, with minimal extra characters so it&rsquo;s also quicker to write content.</li>
<li>Less chance of errors when writing in markdown.</li>
<li>Produces valid XHTML output.</li>
<li>Keeps the content and the visual display separate, so you cannot mess up the look of your site.</li>
<li>Write in any text editor or Markdown application you like.</li>
<li>Markdown is a joy to use!</li>
</ol>

<p>John Gruber, the author of Markdown, puts it like this:</p>

<blockquote>
<p>The overriding design goal for Markdown’s formatting syntax is to make it as readable as possible. The idea is that a Markdown-formatted document should be publishable as-is, as plain text, without looking like it’s been marked up with tags or formatting instructions. While Markdown’s syntax has been influenced by several existing text-to-HTML filters, the single biggest source of inspiration for Markdown’s syntax is the format of plain text email.
&ndash; <cite>John Gruber</cite></p>
</blockquote>

<p>Grav ships with built-in support for <a href="http://daringfireball.net/projects/markdown/">Markdown</a> and <a href="https://michelf.ca/projects/php-markdown/extra/">Markdown Extra</a>. You must enable <strong>Markdown Extra</strong> in your <code>system.yaml</code> configuration file</p>

<p>Without further delay, let us go over the main elements of Markdown and what the resulting HTML looks like:</p>

<div class="notices info" ><p><i class="fas fa-bookmark"></i> Bookmark this page for easy future reference!</p>
</div>


<h2 id="headings">Headings</h2>

<p>Headings from <code>h1</code> through <code>h6</code> are constructed with a <code>#</code> for each level:</p>

<pre><code class="language-markdown"># h1 Heading
## h2 Heading
### h3 Heading
#### h4 Heading
##### h5 Heading
###### h6 Heading
</code></pre>

<p>Renders to:</p>

<h1 id="h1-heading">h1 Heading</h1>

<h2 id="h2-heading">h2 Heading</h2>

<h3 id="h3-heading">h3 Heading</h3>

<h4 id="h4-heading">h4 Heading</h4>

<h5 id="h5-heading">h5 Heading</h5>

<h6 id="h6-heading">h6 Heading</h6>

<p>HTML:</p>

<pre><code class="language-html">&lt;h1&gt;h1 Heading&lt;/h1&gt;
&lt;h2&gt;h2 Heading&lt;/h2&gt;
&lt;h3&gt;h3 Heading&lt;/h3&gt;
&lt;h4&gt;h4 Heading&lt;/h4&gt;
&lt;h5&gt;h5 Heading&lt;/h5&gt;
&lt;h6&gt;h6 Heading&lt;/h6&gt;
</code></pre>

<h2 id="comments">Comments</h2>

<p>Comments should be HTML compatible</p>

<pre><code class="language-html">&lt;!--
This is a comment
--&gt;
</code></pre>

<p>Comment below should <strong>NOT</strong> be seen:</p>

<!--
This is a comment
-->

<h2 id="horizontal-rules">Horizontal Rules</h2>

<p>The HTML <code>&lt;hr&gt;</code> element is for creating a &ldquo;thematic break&rdquo; between paragraph-level elements. In markdown, you can create a <code>&lt;hr&gt;</code> with any of the following:</p>

<ul>
<li><code>___</code>: three consecutive underscores</li>
<li><code>---</code>: three consecutive dashes</li>
<li><code>***</code>: three consecutive asterisks</li>
</ul>

<p>renders to:</p>

<hr />

<hr />

<hr />

<h2 id="body-copy">Body Copy</h2>

<p>Body copy written as normal, plain text will be wrapped with <code>&lt;p&gt;&lt;/p&gt;</code> tags in the rendered HTML.</p>

<p>So this body copy:</p>

<pre><code class="language-markdown">Lorem ipsum dolor sit amet, graecis denique ei vel, at duo primis mandamus. Et legere ocurreret pri, animal tacimates complectitur ad cum. Cu eum inermis inimicus efficiendi. Labore officiis his ex, soluta officiis concludaturque ei qui, vide sensibus vim ad.
</code></pre>

<p>renders to this HTML:</p>

<pre><code class="language-html">&lt;p&gt;Lorem ipsum dolor sit amet, graecis denique ei vel, at duo primis mandamus. Et legere ocurreret pri, animal tacimates complectitur ad cum. Cu eum inermis inimicus efficiendi. Labore officiis his ex, soluta officiis concludaturque ei qui, vide sensibus vim ad.&lt;/p&gt;
</code></pre>

<h2 id="emphasis">Emphasis</h2>

<h3 id="bold">Bold</h3>

<p>For emphasizing a snippet of text with a heavier font-weight.</p>

<p>The following snippet of text is <strong>rendered as bold text</strong>.</p>

<pre><code class="language-markdown">**rendered as bold text**
</code></pre>

<p>renders to:</p>

<p><strong>rendered as bold text</strong></p>

<p>and this HTML</p>

<pre><code class="language-html">&lt;strong&gt;rendered as bold text&lt;/strong&gt;
</code></pre>

<h3 id="italics">Italics</h3>

<p>For emphasizing a snippet of text with italics.</p>

<p>The following snippet of text is <em>rendered as italicized text</em>.</p>

<pre><code class="language-markdown">_rendered as italicized text_
</code></pre>

<p>renders to:</p>

<p><em>rendered as italicized text</em></p>

<p>and this HTML:</p>

<pre><code class="language-html">&lt;em&gt;rendered as italicized text&lt;/em&gt;
</code></pre>

<h3 id="strikethrough">strikethrough</h3>

<p>In GFM (GitHub flavored Markdown) you can do strikethroughs.</p>

<pre><code class="language-markdown">~~Strike through this text.~~
</code></pre>

<p>Which renders to:</p>

<p><del>Strike through this text.</del></p>

<p>HTML:</p>

<pre><code class="language-html">&lt;del&gt;Strike through this text.&lt;/del&gt;
</code></pre>

<h2 id="blockquotes">Blockquotes</h2>

<p>For quoting blocks of content from another source within your document.</p>

<p>Add <code>&gt;</code> before any text you want to quote.</p>

<pre><code class="language-markdown">&gt; **Fusion Drive** combines a hard drive with a flash storage (solid-state drive) and presents it as a single logical volume with the space of both drives combined.
</code></pre>

<p>Renders to:</p>

<blockquote>
<p><strong>Fusion Drive</strong> combines a hard drive with a flash storage (solid-state drive) and presents it as a single logical volume with the space of both drives combined.</p>
</blockquote>

<p>and this HTML:</p>

<pre><code class="language-html">&lt;blockquote&gt;
  &lt;p&gt;&lt;strong&gt;Fusion Drive&lt;/strong&gt; combines a hard drive with a flash storage (solid-state drive) and presents it as a single logical volume with the space of both drives combined.&lt;/p&gt;
&lt;/blockquote&gt;
</code></pre>

<p>Blockquotes can also be nested:</p>

<pre><code class="language-markdown">&gt; Donec massa lacus, ultricies a ullamcorper in, fermentum sed augue. Nunc augue augue, aliquam non hendrerit ac, commodo vel nisi.
&gt;
&gt; &gt; Sed adipiscing elit vitae augue consectetur a gravida nunc vehicula. Donec auctor odio non est accumsan facilisis. Aliquam id turpis in dolor tincidunt mollis ac eu diam.
&gt;
&gt; Mauris sit amet ligula egestas, feugiat metus tincidunt, luctus libero. Donec congue finibus tempor. Vestibulum aliquet sollicitudin erat, ut aliquet purus posuere luctus.
</code></pre>

<p>Renders to:</p>

<blockquote>
<p>Donec massa lacus, ultricies a ullamcorper in, fermentum sed augue. Nunc augue augue, aliquam non hendrerit ac, commodo vel nisi.</p>

<blockquote>
<p>Sed adipiscing elit vitae augue consectetur a gravida nunc vehicula. Donec auctor odio non est accumsan facilisis. Aliquam id turpis in dolor tincidunt mollis ac eu diam.</p>
</blockquote>

<p>Mauris sit amet ligula egestas, feugiat metus tincidunt, luctus libero. Donec congue finibus tempor. Vestibulum aliquet sollicitudin erat, ut aliquet purus posuere luctus.</p>
</blockquote>

<h2 id="notices">Notices</h2>

<div class="notices note" ><p>The old mechanism for notices overriding the block quote syntax (<code>&gt;&gt;&gt;</code>) has been deprecated.  Notices are now handled via a dedicated plugin called <a href="https://github.com/getgrav/grav-plugin-markdown-notices">Markdown Notices</a></p>
</div>


<h2 id="lists">Lists</h2>

<h3 id="unordered">Unordered</h3>

<p>A list of items in which the order of the items does not explicitly matter.</p>

<p>You may use any of the following symbols to denote bullets for each list item:</p>

<pre><code class="language-markdown">* valid bullet
- valid bullet
+ valid bullet
</code></pre>

<p>For example</p>

<pre><code class="language-markdown">+ Lorem ipsum dolor sit amet
+ Consectetur adipiscing elit
+ Integer molestie lorem at massa
+ Facilisis in pretium nisl aliquet
+ Nulla volutpat aliquam velit
  - Phasellus iaculis neque
  - Purus sodales ultricies
  - Vestibulum laoreet porttitor sem
  - Ac tristique libero volutpat at
+ Faucibus porta lacus fringilla vel
+ Aenean sit amet erat nunc
+ Eget porttitor lorem
</code></pre>

<p>Renders to:</p>

<ul>
<li>Lorem ipsum dolor sit amet</li>
<li>Consectetur adipiscing elit</li>
<li>Integer molestie lorem at massa</li>
<li>Facilisis in pretium nisl aliquet</li>
<li>Nulla volutpat aliquam velit

<ul>
<li>Phasellus iaculis neque</li>
<li>Purus sodales ultricies</li>
<li>Vestibulum laoreet porttitor sem</li>
<li>Ac tristique libero volutpat at</li>
</ul></li>
<li>Faucibus porta lacus fringilla vel</li>
<li>Aenean sit amet erat nunc</li>
<li>Eget porttitor lorem</li>
</ul>

<p>And this HTML</p>

<pre><code class="language-html">&lt;ul&gt;
  &lt;li&gt;Lorem ipsum dolor sit amet&lt;/li&gt;
  &lt;li&gt;Consectetur adipiscing elit&lt;/li&gt;
  &lt;li&gt;Integer molestie lorem at massa&lt;/li&gt;
  &lt;li&gt;Facilisis in pretium nisl aliquet&lt;/li&gt;
  &lt;li&gt;Nulla volutpat aliquam velit
    &lt;ul&gt;
      &lt;li&gt;Phasellus iaculis neque&lt;/li&gt;
      &lt;li&gt;Purus sodales ultricies&lt;/li&gt;
      &lt;li&gt;Vestibulum laoreet porttitor sem&lt;/li&gt;
      &lt;li&gt;Ac tristique libero volutpat at&lt;/li&gt;
    &lt;/ul&gt;
  &lt;/li&gt;
  &lt;li&gt;Faucibus porta lacus fringilla vel&lt;/li&gt;
  &lt;li&gt;Aenean sit amet erat nunc&lt;/li&gt;
  &lt;li&gt;Eget porttitor lorem&lt;/li&gt;
&lt;/ul&gt;
</code></pre>

<h3 id="ordered">Ordered</h3>

<p>A list of items in which the order of items does explicitly matter.</p>

<pre><code class="language-markdown">1. Lorem ipsum dolor sit amet
2. Consectetur adipiscing elit
3. Integer molestie lorem at massa
4. Facilisis in pretium nisl aliquet
5. Nulla volutpat aliquam velit
6. Faucibus porta lacus fringilla vel
7. Aenean sit amet erat nunc
8. Eget porttitor lorem
</code></pre>

<p>Renders to:</p>

<ol>
<li>Lorem ipsum dolor sit amet</li>
<li>Consectetur adipiscing elit</li>
<li>Integer molestie lorem at massa</li>
<li>Facilisis in pretium nisl aliquet</li>
<li>Nulla volutpat aliquam velit</li>
<li>Faucibus porta lacus fringilla vel</li>
<li>Aenean sit amet erat nunc</li>
<li>Eget porttitor lorem</li>
</ol>

<p>And this HTML:</p>

<pre><code class="language-html">&lt;ol&gt;
  &lt;li&gt;Lorem ipsum dolor sit amet&lt;/li&gt;
  &lt;li&gt;Consectetur adipiscing elit&lt;/li&gt;
  &lt;li&gt;Integer molestie lorem at massa&lt;/li&gt;
  &lt;li&gt;Facilisis in pretium nisl aliquet&lt;/li&gt;
  &lt;li&gt;Nulla volutpat aliquam velit&lt;/li&gt;
  &lt;li&gt;Faucibus porta lacus fringilla vel&lt;/li&gt;
  &lt;li&gt;Aenean sit amet erat nunc&lt;/li&gt;
  &lt;li&gt;Eget porttitor lorem&lt;/li&gt;
&lt;/ol&gt;
</code></pre>

<p><strong>TIP</strong>: If you just use <code>1.</code> for each number, Markdown will automatically number each item. For example:</p>

<pre><code class="language-markdown">1. Lorem ipsum dolor sit amet
1. Consectetur adipiscing elit
1. Integer molestie lorem at massa
1. Facilisis in pretium nisl aliquet
1. Nulla volutpat aliquam velit
1. Faucibus porta lacus fringilla vel
1. Aenean sit amet erat nunc
1. Eget porttitor lorem
</code></pre>

<p>Renders to:</p>

<ol>
<li>Lorem ipsum dolor sit amet</li>
<li>Consectetur adipiscing elit</li>
<li>Integer molestie lorem at massa</li>
<li>Facilisis in pretium nisl aliquet</li>
<li>Nulla volutpat aliquam velit</li>
<li>Faucibus porta lacus fringilla vel</li>
<li>Aenean sit amet erat nunc</li>
<li>Eget porttitor lorem</li>
</ol>

<h2 id="code">Code</h2>

<h3 id="inline-code">Inline code</h3>

<p>Wrap inline snippets of code with <code>`</code>.</p>

<pre><code class="language-markdown">In this example, `&lt;section&gt;&lt;/section&gt;` should be wrapped as **code**.
</code></pre>

<p>Renders to:</p>

<p>In this example, <code>&lt;section&gt;&lt;/section&gt;</code> should be wrapped with <strong>code</strong>.</p>

<p>HTML:</p>

<pre><code class="language-html">&lt;p&gt;In this example, &lt;code&gt;&amp;lt;section&amp;gt;&amp;lt;/section&amp;gt;&lt;/code&gt; should be wrapped with &lt;strong&gt;code&lt;/strong&gt;.&lt;/p&gt;
</code></pre>

<h3 id="indented-code">Indented code</h3>

<p>Or indent several lines of code by at least four spaces, as in:</p>

<pre>
  // Some comments
  line 1 of code
  line 2 of code
  line 3 of code
</pre>

<p>Renders to:</p>

<pre><code>// Some comments
line 1 of code
line 2 of code
line 3 of code
</code></pre>

<p>HTML:</p>

<pre><code class="language-html">&lt;pre&gt;
  &lt;code&gt;
    // Some comments
    line 1 of code
    line 2 of code
    line 3 of code
  &lt;/code&gt;
&lt;/pre&gt;
</code></pre>

<h3 id="block-code-fences">Block code &ldquo;fences&rdquo;</h3>

<p>Use &ldquo;fences&rdquo;  <code>```</code> to block in multiple lines of code.</p>

<pre>
``` markup
Sample text here...
```
</pre>

<pre><code>Sample text here...
</code></pre>

<p>HTML:</p>

<pre><code class="language-html">&lt;pre&gt;
  &lt;code&gt;Sample text here...&lt;/code&gt;
&lt;/pre&gt;
</code></pre>

<h3 id="syntax-highlighting">Syntax highlighting</h3>

<p>GFM, or &ldquo;GitHub Flavored Markdown&rdquo; also supports syntax highlighting. To activate it, simply add the file extension of the language you want to use directly after the first code &ldquo;fence&rdquo;, `<code>js</code>, and syntax highlighting will automatically be applied in the rendered HTML. For example, to apply syntax highlighting to JavaScript code:</p>

<pre>
```js
grunt.initConfig({
  assemble: {
    options: {
      assets: 'docs/assets',
      data: 'src/data/*.{json,yml}',
      helpers: 'src/custom-helpers.js',
      partials: ['src/partials/**/*.{hbs,md}']
    },
    pages: {
      options: {
        layout: 'default.hbs'
      },
      files: {
        './': ['src/templates/pages/index.hbs']
      }
    }
  }
};
```
</pre>

<p>Renders to:</p>

<pre><code class="language-js">grunt.initConfig({
  assemble: {
    options: {
      assets: 'docs/assets',
      data: 'src/data/*.{json,yml}',
      helpers: 'src/custom-helpers.js',
      partials: ['src/partials/**/*.{hbs,md}']
    },
    pages: {
      options: {
        layout: 'default.hbs'
      },
      files: {
        './': ['src/templates/pages/index.hbs']
      }
    }
  }
};
</code></pre>

<h2 id="tables">Tables</h2>

<p>Tables are created by adding pipes as dividers between each cell, and by adding a line of dashes (also separated by bars) beneath the header. Note that the pipes do not need to be vertically aligned.</p>

<pre><code class="language-markdown">| Option | Description |
| ------ | ----------- |
| data   | path to data files to supply the data that will be passed into templates. |
| engine | engine to be used for processing templates. Handlebars is the default. |
| ext    | extension to be used for dest files. |
</code></pre>

<p>Renders to:</p>

<table>
<thead>
<tr>
<th>Option</th>
<th>Description</th>
</tr>
</thead>

<tbody>
<tr>
<td>data</td>
<td>path to data files to supply the data that will be passed into templates.</td>
</tr>

<tr>
<td>engine</td>
<td>engine to be used for processing templates. Handlebars is the default.</td>
</tr>

<tr>
<td>ext</td>
<td>extension to be used for dest files.</td>
</tr>
</tbody>
</table>

<p>And this HTML:</p>

<pre><code class="language-html">&lt;table&gt;
  &lt;tr&gt;
    &lt;th&gt;Option&lt;/th&gt;
    &lt;th&gt;Description&lt;/th&gt;
  &lt;/tr&gt;
  &lt;tr&gt;
    &lt;td&gt;data&lt;/td&gt;
    &lt;td&gt;path to data files to supply the data that will be passed into templates.&lt;/td&gt;
  &lt;/tr&gt;
  &lt;tr&gt;
    &lt;td&gt;engine&lt;/td&gt;
    &lt;td&gt;engine to be used for processing templates. Handlebars is the default.&lt;/td&gt;
  &lt;/tr&gt;
  &lt;tr&gt;
    &lt;td&gt;ext&lt;/td&gt;
    &lt;td&gt;extension to be used for dest files.&lt;/td&gt;
  &lt;/tr&gt;
&lt;/table&gt;
</code></pre>

<h3 id="right-aligned-text">Right aligned text</h3>

<p>Adding a colon on the right side of the dashes below any heading will right align text for that column.</p>

<pre><code class="language-markdown">| Option | Description |
| ------:| -----------:|
| data   | path to data files to supply the data that will be passed into templates. |
| engine | engine to be used for processing templates. Handlebars is the default. |
| ext    | extension to be used for dest files. |
</code></pre>

<table>
<thead>
<tr>
<th align="right">Option</th>
<th align="right">Description</th>
</tr>
</thead>

<tbody>
<tr>
<td align="right">data</td>
<td align="right">path to data files to supply the data that will be passed into templates.</td>
</tr>

<tr>
<td align="right">engine</td>
<td align="right">engine to be used for processing templates. Handlebars is the default.</td>
</tr>

<tr>
<td align="right">ext</td>
<td align="right">extension to be used for dest files.</td>
</tr>
</tbody>
</table>

<h2 id="links">Links</h2>

<h3 id="basic-link">Basic link</h3>

<pre><code class="language-markdown">[Assemble](http://assemble.io)
</code></pre>

<p>Renders to (hover over the link, there is no tooltip):</p>

<p><a href="http://assemble.io">Assemble</a></p>

<p>HTML:</p>

<pre><code class="language-html">&lt;a href=&quot;http://assemble.io&quot;&gt;Assemble&lt;/a&gt;
</code></pre>

<h3 id="add-a-title">Add a title</h3>

<pre><code class="language-markdown">[Upstage](https://github.com/upstage/ &quot;Visit Upstage!&quot;)
</code></pre>

<p>Renders to (hover over the link, there should be a tooltip):</p>

<p><a href="https://github.com/upstage/" title="Visit Upstage!">Upstage</a></p>

<p>HTML:</p>

<pre><code class="language-html">&lt;a href=&quot;https://github.com/upstage/&quot; title=&quot;Visit Upstage!&quot;&gt;Upstage&lt;/a&gt;
</code></pre>

<h3 id="named-anchors">Named Anchors</h3>

<p>Named anchors enable you to jump to the specified anchor point on the same page. For example, each of these chapters:</p>

<pre><code class="language-markdown"># Table of Contents
  * [Chapter 1](#chapter-1)
  * [Chapter 2](#chapter-2)
  * [Chapter 3](#chapter-3)
</code></pre>

<p>will jump to these sections:</p>

<pre><code class="language-markdown">## Chapter 1 &lt;a id=&quot;chapter-1&quot;&gt;&lt;/a&gt;
Content for chapter one.

## Chapter 2 &lt;a id=&quot;chapter-2&quot;&gt;&lt;/a&gt;
Content for chapter one.

## Chapter 3 &lt;a id=&quot;chapter-3&quot;&gt;&lt;/a&gt;
Content for chapter one.
</code></pre>

<p><strong>NOTE</strong> that specific placement of the anchor tag seems to be arbitrary. They are placed inline here since it seems to be unobtrusive, and it works.</p>

<h2 id="images">Images</h2>

<p>Images have a similar syntax to links but include a preceding exclamation point.</p>

<pre><code class="language-markdown">![Minion](https://octodex.github.com/images/minion.png)
</code></pre>

<p><img src="https://octodex.github.com/images/minion.png" alt="Minion" /></p>

<p>or</p>

<pre><code class="language-markdown">![Alt text](https://octodex.github.com/images/stormtroopocat.jpg &quot;The Stormtroopocat&quot;)
</code></pre>

<p><img src="https://octodex.github.com/images/stormtroopocat.jpg" alt="Alt text" title="The Stormtroopocat" /></p>

<p>Like links, Images also have a footnote style syntax</p>

<h3 id="alternative-usage-note-images">Alternative usage : note images</h3>

<pre><code class="language-markdown">![Alt text][id]
</code></pre>

<p><img src="https://octodex.github.com/images/dojocat.jpg" alt="Alt text" title="The Dojocat" /></p>

<p>With a reference later in the document defining the URL location:</p>

<pre><code>[id]: https://octodex.github.com/images/dojocat.jpg  &quot;The Dojocat&quot;
</code></pre>

<h3 id="resizing-image">Resizing image</h3>

<p>Add HTTP parameters <code>width</code> and/or <code>height</code> to the link image to resize the image. Values are CSS values (default is <code>auto</code>).</p>

<pre><code class="language-markdown">![Minion](https://octodex.github.com/images/minion.png?width=20pc)
</code></pre>

<p><img src="https://octodex.github.com/images/minion.png?width=20pc" alt="Minion" /></p>

<pre><code class="language-markdown">![Minion](https://octodex.github.com/images/minion.png?height=50px)
</code></pre>

<p><img src="https://octodex.github.com/images/minion.png?height=50px" alt="Minion" /></p>

<pre><code class="language-markdown">![Minion](https://octodex.github.com/images/minion.png?height=50px&amp;width=300px)
</code></pre>

<p><img src="https://octodex.github.com/images/minion.png?height=50px&amp;width=300px" alt="Minion" /></p>

<h3 id="add-css-classes">Add CSS classes</h3>

<p>Add a HTTP <code>classes</code> parameter to the link image to add CSS classes. <code>shadow</code>and <code>border</code> are available but you could define other ones.</p>

<pre><code class="language-markdown">![stormtroopocat](https://octodex.github.com/images/stormtroopocat.jpg?classes=shadow)
</code></pre>

<p><img src="https://octodex.github.com/images/stormtroopocat.jpg?width=40pc&amp;classes=shadow" alt="stormtroopocat" /></p>

<pre><code class="language-markdown">![stormtroopocat](https://octodex.github.com/images/stormtroopocat.jpg?classes=border)
</code></pre>

<p><img src="https://octodex.github.com/images/stormtroopocat.jpg?width=40pc&amp;classes=border" alt="stormtroopocat" /></p>

<pre><code class="language-markdown">![stormtroopocat](https://octodex.github.com/images/stormtroopocat.jpg?classes=border,shadow)
</code></pre>

<p><img src="https://octodex.github.com/images/stormtroopocat.jpg?width=40pc&amp;classes=border,shadow" alt="stormtroopocat" /></p>


<footer class=" footline" >
	
</footer>


        
        </div> 
        

      </div>

    <div id="navigation">
        
        
        
        
            
            
                
                    
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                        
                        
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                        
                        
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                        
                        
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
            
        
                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
            
        
        
        


	 
	 
		
			<a class="nav nav-prev" href="/en/cont/archetypes/" title="Archetypes"> <i class="fa fa-chevron-left"></i></a>
		
		
			<a class="nav nav-next" href="/en/cont/menushortcuts/" title="Menu extra shortcuts" style="margin-right: 0px;"><i class="fa fa-chevron-right"></i></a>
		
	
    </div>

    </section>
    
    <div style="left: -1000px; overflow: scroll; position: absolute; top: -1000px; border: none; box-sizing: content-box; height: 200px; margin: 0px; padding: 0px; width: 200px;">
      <div style="border: none; box-sizing: content-box; height: 200px; margin: 0px; padding: 0px; width: 200px;"></div>
    </div>
    <script src="/js/clipboard.min.js?1545065465"></script>
    <script src="/js/perfect-scrollbar.min.js?1545065465"></script>
    <script src="/js/perfect-scrollbar.jquery.min.js?1545065465"></script>
    <script src="/js/jquery.sticky.js?1545065465"></script>
    <script src="/js/featherlight.min.js?1545065465"></script>
    <script src="/js/html5shiv-printshiv.min.js?1545065465"></script>
    <script src="/js/highlight.pack.js?1545065465"></script>
    <script>hljs.initHighlightingOnLoad();</script>
    <script src="/js/modernizr.custom.71422.js?1545065465"></script>
    <script src="/js/learn.js?1545065465"></script>
    <script src="/js/hugo-learn.js?1545065465"></script>

    <link href="/mermaid/mermaid.css?1545065465" type="text/css" rel="stylesheet" />
    <script src="/mermaid/mermaid.js?1545065465"></script>
    <script>
        mermaid.initialize({ startOnLoad: true });
    </script>
    <script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-105947713-1', 'auto');
  ga('send', 'pageview');

</script>
  </body>
</html>

